Katello - Bug #7000

showing packages of registered systems makes my firefox to eat one my CPU for ~5 minutes
08/08/2014 09:13 AM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1080172 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/456
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1080172
Description of problem:
Showing packages of registered systems makes my firefox to eat one my CPU for ~5 minutes

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140321.2
firefox-27.0.1-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. In webUI go to Hosts -> Registered Systems -> <some_system> -> Packages

Actual results:
Once page loads, firefox eats one my CPU core for ~5 minutes

Expected results:
Browsing Satellite 6 webUI in mainstream browser should not be CPU intensive

Associated revisions

Revision 55fc3310 - 08/13/2014 09:18 AM - Walden Raines
Fixes #7000/BZ1080172: paginate content host packages.
Rendering hundreds of content host package rows was taxing the CPU,

especially in Firefox. This commit uses client side pagination to
limit the number of package rows rendered.

http://projects.theforeman.org/issues/7000
https://bugzilla.redhat.com/show_bug.cgi?id=1080172

Revision f857d228 - 08/13/2014 09:18 AM - Walden Raines
Fixes #7000/BZ1080172: paginate content host packages.
Rendering hundreds of content host package rows was taxing the CPU,

especially in Firefox. This commit uses client side pagination to
limit the number of package rows rendered.

http://projects.theforeman.org/issues/7000
https://bugzilla.redhat.com/show_bug.cgi?id=1080172

Revision 5b7c14ab - 08/13/2014 10:44 AM - Walden Raines
Merge pull request #4569 from waldenraines/7000

Fixes #7000/BZ1080172: paginate content host packages.

05/17/2024

1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1080172
http://projects.theforeman.org/issues/7000
https://bugzilla.redhat.com/show_bug.cgi?id=1080172
http://projects.theforeman.org/issues/7000
https://bugzilla.redhat.com/show_bug.cgi?id=1080172

Revision 32¢8cb7b - 08/13/2014 10:44 AM - Walden Raines
Merge pull request #4569 from waldenraines/7000

Fixes #7000/BZ1080172: paginate content host packages.

History

#1 - 08/12/2014 02:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4569 added
- Pull request deleted ()

#2 - 08/13/2014 11:01 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|55fc3310275ffa379cebebdd815dbc9df4bidae?2.

#3 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
